"""empty message

Revision ID: b77642f38f47
Revises: 58723a41dc8d
Create Date: 2020-12-29 21:47:35.798167

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = 'b77642f38f47'
down_revision = '58723a41dc8d'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('marked', sa.Column('student_id', sa.Integer(), nullable=False))
    op.drop_constraint('marked_ibfk_2', 'marked', type_='foreignkey')
    op.drop_constraint('marked_ibfk_1', 'marked', type_='foreignkey')
    op.create_foreign_key(None, 'marked', 'student', ['student_id'], ['id'])
    op.create_foreign_key(None, 'marked', 'attendance', ['attendance_id'], ['id'])
    op.drop_column('marked', 'course_id')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('marked', sa.Column('course_id', mysql.INTEGER(), autoincrement=False, nullable=False))
    op.drop_constraint(None, 'marked', type_='foreignkey')
    op.drop_constraint(None, 'marked', type_='foreignkey')
    op.create_foreign_key('marked_ibfk_1', 'marked', 'student', ['attendance_id'], ['id'])
    op.create_foreign_key('marked_ibfk_2', 'marked', 'attendance', ['course_id'], ['id'])
    op.drop_column('marked', 'student_id')
    # ### end Alembic commands ###
